Subject: bug#51710: [PATCH] pcre: avoid overflow in PCRE JIT stack resizing

From: Paul Eggert <[email-masked]>
Date: Tue, 9 Nov 2021 16:30:28 -0800

On 11/9/21 11:23, Carlo Arenas wrote:
> We might keep the limit in PCRE2 though, as it should be IMHO far
> smaller anyway.

The usual GNU rule is "Avoid arbitrary limits on the length or number of 
any data structure" 
<https://www.gnu.org/prep/standards/html_node/Semantics.html>. That 
being said, if PCRE2 greatly misbehaves with a large stack size then we 
should impose some sort of limit, if only to insulate 'grep' from 
PCRE2's problems.